<#--
/*******************************************************************************
  Graphics Display Driver Freemarker Template File

  Company:
    Digi-Key Electronics.

  File Name:
    drv_gfx_display_dk.h.ftl

  Summary:
    GFX Freemarker Template File

  Description:

*******************************************************************************/

/*******************************************************************************
Copyright (c) 2015 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS  WITHOUT  WARRANTY  OF  ANY  KIND,
EITHER EXPRESS  OR  IMPLIED,  INCLUDING  WITHOUT  LIMITATION,  ANY  WARRANTY  OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A  PARTICULAR  PURPOSE.
IN NO EVENT SHALL MICROCHIP OR  ITS  LICENSORS  BE  LIABLE  OR  OBLIGATED  UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,  BREACH  OF  WARRANTY,  OR
OTHER LEGAL  EQUITABLE  THEORY  ANY  DIRECT  OR  INDIRECT  DAMAGES  OR  EXPENSES
INCLUDING BUT NOT LIMITED TO ANY  INCIDENTAL,  SPECIAL,  INDIRECT,  PUNITIVE  OR
CONSEQUENTIAL DAMAGES, LOST  PROFITS  OR  LOST  DATA,  COST  OF  PROCUREMENT  OF
SUBSTITUTE  GOODS,  TECHNOLOGY,  SERVICES,  OR  ANY  CLAIMS  BY  THIRD   PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE  THEREOF),  OR  OTHER  SIMILAR  COSTS.
*******************************************************************************/
-->

/*** Graphics Display Configuration ***/

<#if CONFIG_USE_GFX_NEWHAVEN_35_320X240_RES == true>

#define DISP_ORIENTATION                        ${CONFIG_DRV_GFX_DISP_ORIENTATION_DK}
#define DISP_HOR_RESOLUTION                     ${CONFIG_DRV_GFX_DISP_HOR_RESOLUTION_DK}
#define DISP_VER_RESOLUTION                     ${CONFIG_DRV_GFX_DISP_VER_RESOLUTION_DK}
#define DISP_DATA_WIDTH			                ${CONFIG_DRV_GFX_DISP_DATA_WIDTH_DK}
#define DISP_HOR_PULSE_WIDTH                    ${CONFIG_DRV_GFX_DISP_HOR_PULSE_WIDTH_DK}
#define DISP_HOR_BACK_PORCH                     ${CONFIG_DRV_GFX_DISP_HOR_BACK_PORCH_DK}
#define DISP_HOR_FRONT_PORCH                    ${CONFIG_DRV_GFX_DISP_HOR_FRONT_PORCH_DK}
#define DISP_VER_PULSE_WIDTH                    ${CONFIG_DRV_GFX_DISP_VER_PULSE_WIDTH_DK}
#define DISP_VER_BACK_PORCH                     ${CONFIG_DRV_GFX_DISP_VER_BACK_PORCH_DK}
#define DISP_VER_FRONT_PORCH                    ${CONFIG_DRV_GFX_DISP_VER_FRONT_PORCH_DK}
#define DISP_INV_LSHIFT                         ${CONFIG_DRV_GFX_DISP_INV_LSHIFT_DK}
#define GFX_LCD_TYPE                            ${CONFIG_DRV_GFX_DISP_LCD_TYPE_DK}
#define BACKLIGHT_ENABLE_LEVEL                  ${CONFIG_DRV_GFX_DISP_BACKLIGHT_ENABLE_LEVEL_DK}
#define BACKLIGHT_DISABLE_LEVEL                 ${CONFIG_DRV_GFX_DISP_BACKLIGHT_DISABLE_LEVEL_DK}
#define TCON_MODULE                             ${CONFIG_DRV_GFX_DISP_TCON_MODULE_DK}
<#if CONFIG_DRV_GFX_DISP_USE_TCON_MODULE_DK == true>
#define USE_TCON_MODULE                         0
</#if>
<#if CONFIG_DRV_GFX_DISP_USE_CUSTOM_TCON_MODULE_DK == true>
#define GFX_USE_TCON_CUSTOM
</#if>
<#if CONFIG_DRV_GFX_DISP_TOUCHSCREEN_RESISTIVE_SWAP_XY_DK?has_content 
&& CONFIG_DRV_GFX_DISP_TOUCHSCREEN_RESISTIVE_SWAP_XY_DK == true>
#define TOUCHSCREEN_RESISTIVE_SWAP_XY
</#if>
<#if CONFIG_DRV_GFX_DISP_REQUIRE_CALIBRATION_POINTS_DK == true>
<#if CONFIG_USE_GFX_NEWHAVEN_35_320X240_RES == true>

/*** Graphics Display Touch Calibration Values ***/

#define TOUCHCAL_ULX                             0x00A2
#define TOUCHCAL_ULY                             0x00F7
#define TOUCHCAL_URX                             0x0368
#define TOUCHCAL_URY                             0x00F7
#define TOUCHCAL_LLX                             0x00A2
#define TOUCHCAL_LLY                             0x0320
#define TOUCHCAL_LRX                             0x0368
#define TOUCHCAL_LRY                             0x0330
</#if>

</#if>
// DOM-IGNORE-END
</#if>
<#--
/*******************************************************************************
 End of File
*/
-->

